Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 834233

Summary: Requires password of disabled (no password) administrator account
Product: Red Hat Enterprise Linux 7 Reporter: Tomas Jamrisko <tjamrisk>
Component: polkit-gnomeAssignee: Miloslav Trmač <mitr>
Status: CLOSED NOTABUG QA Contact: Desktop QE <desktop-qa-list>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 7.0CC: mclasen, tjamrisk
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 831592 Environment:
Last Closed: 2013-07-23 04:31:50 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 831592    
Bug Blocks:    

Description Tomas Jamrisko 2012-06-21 05:34:57 EDT
+++ This bug was initially created as a clone of Bug #831592 +++

Description of problem:

Trying to escalate rigts of a standard account results in polkit asking for administrator password of a disabled account -> no escalation possible


Version-Release number of selected component (if applicable):

polkit-gnome-0.105-2.el7.x86_64

How reproducible:
always


Steps to Reproduce:
1. Go to User Accounts
2. Make sure you have at least one standard account (in which you are logged in) and one administrator account
3. Disable the only administrator account
4. Lock and try to unlock the settings again
  
Actual results:

It asks for password of the administrator account, which there is none, you won't be able to unlock the settings


Expected results:

Skips the disabled account and asks for root, or another password of another account

Additional info:

Would be great if polkit asked, against which user does one wish to authenticate instead of forcing lowest UID
Comment 3 Miloslav Trmač 2013-07-22 12:23:19 EDT
Thanks for your report.

What exactly do you mean by "disable the administrator account"?


> Would be great if polkit asked, against which user does one wish to authenticate instead of forcing lowest UID
This is a gnome-shell behavior (/usr/share/gnome-shell/js/ui/components/polkitAgent.js), please file a separate bug.
Comment 4 Tomas Jamrisko 2013-07-23 04:31:50 EDT
Users -> Select any user -> Click the password -> Menu pops up -> Click the dropdown menu. Now there are three options about when to change password. There used to be a fourth option "Disable account" which is gone now, at least for the only administrator account. it is still present for regular user accounts. I guess this can be closed as CURRENTRELEASE